#include <string>
#include "stopos_key.h"

stopos_key::stopos_key()
{
//  this->value = this->firstchar;
  this->set(0);
}

stopos_key::stopos_key(const std::string & s)
{
  this->value = s;
}

void stopos_key::impossible()
{
  this->value="%%%%";
}

void stopos_key::increment(void)
{ // notused
  int p = this->value.size();
  while(1)
  {
    p--;
    if (this->value[p] == lastchar)
    {
      this->value[p] = firstchar;
      if (p == 0)
      {
	this->value = firstchar + this->value;
	p = 1;
      }
    }
    else
    {
      this->value[p] ++;
      break;
    }
  }
}

std::string stopos_key::str(void) const
{
  return this->value;
}

bool stopos_key::operator==(const stopos_key &k) const
{
  return k.value == this->value;
}

bool stopos_key::operator!=(const stopos_key &k) const
{
  return k.value != this->value;
}

